services:
  caddy:
    build: .
    container_name: caddy
    restart: unless-stopped
    cap_add:
      - NET_ADMIN
    ports:
      - 80:80
      - 443:443
      - 443:443/udp
    volumes:
      - data:/data
      - config:/config
      - ./caddyfiles:/etc/caddy/
    environment:
      CF_ZONE_TOKEN: ${CF_ZONE_TOKEN}
      CF_API_TOKEN: ${CF_API_TOKEN}
    networks:
      proxy:
        aliases:
          - auth.timo.bmrs.nl
          - cloud.timo.bmrs.nl
          - office.timo.bmrs.nl

volumes:
  data:
  config:

networks:
  proxy:
    name: proxy
    external: true
